> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sample Automation Query Result

> A `POST` to the `/automations/queries/samples` endpoint allows your application to sample automation query result.



## OpenAPI

````yaml post /v3/automations/queries/samples
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/automations/queries/samples:
    post:
      tags:
        - Automation Query
      summary: Sample Automation Query Result
      description: >-
        A `POST` to the `/automations/queries/samples` endpoint allows your
        application to sample automation query result.
      operationId: automationQuery.sample
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SampleAutomationQueryRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items: {}
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          description: ''
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SampleAutomationQueryRequest:
      type: object
      properties:
        query:
          type: string
        now:
          type: string
          format: date-time
        arguments:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              value:
                type: string
            required:
              - name
              - value
          minItems: 1
      required:
        - query
      title: SampleAutomationQueryRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````